Loading...
Searching...
No Matches
Opm::CopyRestrictProlong< Grid, Container > Class Template Reference

## Public Types

using | DomainFieldType = typename Grid::ctype

## Public Member Functions

| CopyRestrictProlong (Container &container)
template<class Field>
void | setFatherChildWeight (const Field &) const
| explicit set volume ratio of son and father
template<class Entity>
void | restrictLocal (const Entity &father, const Entity &son, bool initialize) const
| restrict data to father
template<class Entity, class LocalGeometry>
void | restrictLocal (const Entity &father, const Entity &son, const LocalGeometry &, bool initialize) const
| restrict data to father
template<class Entity>
void | prolongLocal (const Entity &father, const Entity &son, bool) const
| prolong data to children
template<class Entity, class LocalGeometry>
void | prolongLocal (const Entity &father, const Entity &son, const LocalGeometry &, bool initialize) const
| prolong data to children
template<class Communicator>
void | addToList (Communicator &)
| add discrete function to communicator
template<class LoadBalancer>
void | addToLoadBalancer (LoadBalancer &)
| add discrete function to load balancer

## Member Function Documentation

## addToList()

template<class Grid, class Container>
template<class Communicator>

void Opm::CopyRestrictProlong< Grid, Container >::addToList | ( | Communicator & |  | ) |

inline

add discrete function to communicator

Parameters

  [in] | comm | Communicator to add the discrete functions to

## addToLoadBalancer()

template<class Grid, class Container>
template<class LoadBalancer>

void Opm::CopyRestrictProlong< Grid, Container >::addToLoadBalancer | ( | LoadBalancer & |  | ) |

inline

add discrete function to load balancer

Parameters

  [in] | lb | LoadBalancer to add the discrete functions to

## setFatherChildWeight()

template<class Grid, class Container>
template<class Field>

void Opm::CopyRestrictProlong< Grid, Container >::setFatherChildWeight | ( | const Field & |  | ) | const

inline

explicit set volume ratio of son and father

Parameters

  [in] | weight | volume of son / volume of father

Note
  If this ratio is set, it is assume to be constant.

The documentation for this class was generated from the following file:

- opm/models/discretization/common/restrictprolong.hh